export function SparkSqlListener(): this;
export class SparkSqlListener {
    constructor: typeof SparkSqlListener;
    enterProgram(ctx: any): void;
    exitProgram(ctx: any): void;
    enterSingleStatement(ctx: any): void;
    exitSingleStatement(ctx: any): void;
    enterEmptyStatement(ctx: any): void;
    exitEmptyStatement(ctx: any): void;
    enterSingleExpression(ctx: any): void;
    exitSingleExpression(ctx: any): void;
    enterSingleTableIdentifier(ctx: any): void;
    exitSingleTableIdentifier(ctx: any): void;
    enterSingleMultipartIdentifier(ctx: any): void;
    exitSingleMultipartIdentifier(ctx: any): void;
    enterSingleDataType(ctx: any): void;
    exitSingleDataType(ctx: any): void;
    enterSingleTableSchema(ctx: any): void;
    exitSingleTableSchema(ctx: any): void;
    enterStatementDefault(ctx: any): void;
    exitStatementDefault(ctx: any): void;
    enterDmlStatement(ctx: any): void;
    exitDmlStatement(ctx: any): void;
    enterUse(ctx: any): void;
    exitUse(ctx: any): void;
    enterCreateNamespace(ctx: any): void;
    exitCreateNamespace(ctx: any): void;
    enterSetNamespaceProperties(ctx: any): void;
    exitSetNamespaceProperties(ctx: any): void;
    enterSetNamespaceLocation(ctx: any): void;
    exitSetNamespaceLocation(ctx: any): void;
    enterDropNamespace(ctx: any): void;
    exitDropNamespace(ctx: any): void;
    enterShowNamespaces(ctx: any): void;
    exitShowNamespaces(ctx: any): void;
    enterCreateTable(ctx: any): void;
    exitCreateTable(ctx: any): void;
    enterCreateHiveTable(ctx: any): void;
    exitCreateHiveTable(ctx: any): void;
    enterCreateTableLike(ctx: any): void;
    exitCreateTableLike(ctx: any): void;
    enterReplaceTable(ctx: any): void;
    exitReplaceTable(ctx: any): void;
    enterAnalyze(ctx: any): void;
    exitAnalyze(ctx: any): void;
    enterAddTableColumns(ctx: any): void;
    exitAddTableColumns(ctx: any): void;
    enterRenameTableColumn(ctx: any): void;
    exitRenameTableColumn(ctx: any): void;
    enterDropTableColumns(ctx: any): void;
    exitDropTableColumns(ctx: any): void;
    enterRenameTable(ctx: any): void;
    exitRenameTable(ctx: any): void;
    enterSetTableProperties(ctx: any): void;
    exitSetTableProperties(ctx: any): void;
    enterUnsetTableProperties(ctx: any): void;
    exitUnsetTableProperties(ctx: any): void;
    enterAlterTableAlterColumn(ctx: any): void;
    exitAlterTableAlterColumn(ctx: any): void;
    enterHiveChangeColumn(ctx: any): void;
    exitHiveChangeColumn(ctx: any): void;
    enterHiveReplaceColumns(ctx: any): void;
    exitHiveReplaceColumns(ctx: any): void;
    enterSetTableSerDe(ctx: any): void;
    exitSetTableSerDe(ctx: any): void;
    enterAddTablePartition(ctx: any): void;
    exitAddTablePartition(ctx: any): void;
    enterRenameTablePartition(ctx: any): void;
    exitRenameTablePartition(ctx: any): void;
    enterDropTablePartitions(ctx: any): void;
    exitDropTablePartitions(ctx: any): void;
    enterSetTableLocation(ctx: any): void;
    exitSetTableLocation(ctx: any): void;
    enterRecoverPartitions(ctx: any): void;
    exitRecoverPartitions(ctx: any): void;
    enterDropTable(ctx: any): void;
    exitDropTable(ctx: any): void;
    enterDropView(ctx: any): void;
    exitDropView(ctx: any): void;
    enterCreateView(ctx: any): void;
    exitCreateView(ctx: any): void;
    enterCreateTempViewUsing(ctx: any): void;
    exitCreateTempViewUsing(ctx: any): void;
    enterAlterViewQuery(ctx: any): void;
    exitAlterViewQuery(ctx: any): void;
    enterCreateFunction(ctx: any): void;
    exitCreateFunction(ctx: any): void;
    enterDropFunction(ctx: any): void;
    exitDropFunction(ctx: any): void;
    enterExplain(ctx: any): void;
    exitExplain(ctx: any): void;
    enterShowTables(ctx: any): void;
    exitShowTables(ctx: any): void;
    enterShowTable(ctx: any): void;
    exitShowTable(ctx: any): void;
    enterShowTblProperties(ctx: any): void;
    exitShowTblProperties(ctx: any): void;
    enterShowColumns(ctx: any): void;
    exitShowColumns(ctx: any): void;
    enterShowViews(ctx: any): void;
    exitShowViews(ctx: any): void;
    enterShowPartitions(ctx: any): void;
    exitShowPartitions(ctx: any): void;
    enterShowFunctions(ctx: any): void;
    exitShowFunctions(ctx: any): void;
    enterShowCreateTable(ctx: any): void;
    exitShowCreateTable(ctx: any): void;
    enterShowCurrentNamespace(ctx: any): void;
    exitShowCurrentNamespace(ctx: any): void;
    enterDescribeFunction(ctx: any): void;
    exitDescribeFunction(ctx: any): void;
    enterDescribeNamespace(ctx: any): void;
    exitDescribeNamespace(ctx: any): void;
    enterDescribeRelation(ctx: any): void;
    exitDescribeRelation(ctx: any): void;
    enterDescribeQuery(ctx: any): void;
    exitDescribeQuery(ctx: any): void;
    enterCommentNamespace(ctx: any): void;
    exitCommentNamespace(ctx: any): void;
    enterCommentTable(ctx: any): void;
    exitCommentTable(ctx: any): void;
    enterRefreshTable(ctx: any): void;
    exitRefreshTable(ctx: any): void;
    enterRefreshFunction(ctx: any): void;
    exitRefreshFunction(ctx: any): void;
    enterRefreshResource(ctx: any): void;
    exitRefreshResource(ctx: any): void;
    enterCacheTable(ctx: any): void;
    exitCacheTable(ctx: any): void;
    enterUncacheTable(ctx: any): void;
    exitUncacheTable(ctx: any): void;
    enterClearCache(ctx: any): void;
    exitClearCache(ctx: any): void;
    enterLoadData(ctx: any): void;
    exitLoadData(ctx: any): void;
    enterTruncateTable(ctx: any): void;
    exitTruncateTable(ctx: any): void;
    enterRepairTable(ctx: any): void;
    exitRepairTable(ctx: any): void;
    enterManageResource(ctx: any): void;
    exitManageResource(ctx: any): void;
    enterFailNativeCommand(ctx: any): void;
    exitFailNativeCommand(ctx: any): void;
    enterSetTimeZone(ctx: any): void;
    exitSetTimeZone(ctx: any): void;
    enterSetQuotedConfiguration(ctx: any): void;
    exitSetQuotedConfiguration(ctx: any): void;
    enterSetConfiguration(ctx: any): void;
    exitSetConfiguration(ctx: any): void;
    enterResetQuotedConfiguration(ctx: any): void;
    exitResetQuotedConfiguration(ctx: any): void;
    enterResetConfiguration(ctx: any): void;
    exitResetConfiguration(ctx: any): void;
    enterConfigKey(ctx: any): void;
    exitConfigKey(ctx: any): void;
    enterUnsupportedHiveNativeCommands(ctx: any): void;
    exitUnsupportedHiveNativeCommands(ctx: any): void;
    enterCreateTableHeader(ctx: any): void;
    exitCreateTableHeader(ctx: any): void;
    enterReplaceTableHeader(ctx: any): void;
    exitReplaceTableHeader(ctx: any): void;
    enterBucketSpec(ctx: any): void;
    exitBucketSpec(ctx: any): void;
    enterSkewSpec(ctx: any): void;
    exitSkewSpec(ctx: any): void;
    enterLocationSpec(ctx: any): void;
    exitLocationSpec(ctx: any): void;
    enterCommentSpec(ctx: any): void;
    exitCommentSpec(ctx: any): void;
    enterQuery(ctx: any): void;
    exitQuery(ctx: any): void;
    enterInsertOverwriteTable(ctx: any): void;
    exitInsertOverwriteTable(ctx: any): void;
    enterInsertIntoTable(ctx: any): void;
    exitInsertIntoTable(ctx: any): void;
    enterInsertOverwriteHiveDir(ctx: any): void;
    exitInsertOverwriteHiveDir(ctx: any): void;
    enterInsertOverwriteDir(ctx: any): void;
    exitInsertOverwriteDir(ctx: any): void;
    enterPartitionSpecLocation(ctx: any): void;
    exitPartitionSpecLocation(ctx: any): void;
    enterPartitionSpec(ctx: any): void;
    exitPartitionSpec(ctx: any): void;
    enterPartitionVal(ctx: any): void;
    exitPartitionVal(ctx: any): void;
    enterNamespace(ctx: any): void;
    exitNamespace(ctx: any): void;
    enterDescribeFuncName(ctx: any): void;
    exitDescribeFuncName(ctx: any): void;
    enterDescribeColName(ctx: any): void;
    exitDescribeColName(ctx: any): void;
    enterCtes(ctx: any): void;
    exitCtes(ctx: any): void;
    enterNamedQuery(ctx: any): void;
    exitNamedQuery(ctx: any): void;
    enterTableProvider(ctx: any): void;
    exitTableProvider(ctx: any): void;
    enterCreateTableClauses(ctx: any): void;
    exitCreateTableClauses(ctx: any): void;
    enterTablePropertyList(ctx: any): void;
    exitTablePropertyList(ctx: any): void;
    enterTableProperty(ctx: any): void;
    exitTableProperty(ctx: any): void;
    enterTablePropertyKey(ctx: any): void;
    exitTablePropertyKey(ctx: any): void;
    enterTablePropertyValue(ctx: any): void;
    exitTablePropertyValue(ctx: any): void;
    enterConstantList(ctx: any): void;
    exitConstantList(ctx: any): void;
    enterNestedConstantList(ctx: any): void;
    exitNestedConstantList(ctx: any): void;
    enterCreateFileFormat(ctx: any): void;
    exitCreateFileFormat(ctx: any): void;
    enterTableFileFormat(ctx: any): void;
    exitTableFileFormat(ctx: any): void;
    enterGenericFileFormat(ctx: any): void;
    exitGenericFileFormat(ctx: any): void;
    enterStorageHandler(ctx: any): void;
    exitStorageHandler(ctx: any): void;
    enterResource(ctx: any): void;
    exitResource(ctx: any): void;
    enterSingleInsertQuery(ctx: any): void;
    exitSingleInsertQuery(ctx: any): void;
    enterMultiInsertQuery(ctx: any): void;
    exitMultiInsertQuery(ctx: any): void;
    enterDeleteFromTable(ctx: any): void;
    exitDeleteFromTable(ctx: any): void;
    enterUpdateTable(ctx: any): void;
    exitUpdateTable(ctx: any): void;
    enterMergeIntoTable(ctx: any): void;
    exitMergeIntoTable(ctx: any): void;
    enterQueryOrganization(ctx: any): void;
    exitQueryOrganization(ctx: any): void;
    enterMultiInsertQueryBody(ctx: any): void;
    exitMultiInsertQueryBody(ctx: any): void;
    enterQueryTermDefault(ctx: any): void;
    exitQueryTermDefault(ctx: any): void;
    enterSetOperation(ctx: any): void;
    exitSetOperation(ctx: any): void;
    enterQueryPrimaryDefault(ctx: any): void;
    exitQueryPrimaryDefault(ctx: any): void;
    enterFromStmt(ctx: any): void;
    exitFromStmt(ctx: any): void;
    enterTable(ctx: any): void;
    exitTable(ctx: any): void;
    enterInlineTableDefault1(ctx: any): void;
    exitInlineTableDefault1(ctx: any): void;
    enterSubquery(ctx: any): void;
    exitSubquery(ctx: any): void;
    enterSortItem(ctx: any): void;
    exitSortItem(ctx: any): void;
    enterFromStatement(ctx: any): void;
    exitFromStatement(ctx: any): void;
    enterFromStatementBody(ctx: any): void;
    exitFromStatementBody(ctx: any): void;
    enterTransformQuerySpecification(ctx: any): void;
    exitTransformQuerySpecification(ctx: any): void;
    enterRegularQuerySpecification(ctx: any): void;
    exitRegularQuerySpecification(ctx: any): void;
    enterTransformClause(ctx: any): void;
    exitTransformClause(ctx: any): void;
    enterSelectClause(ctx: any): void;
    exitSelectClause(ctx: any): void;
    enterSetClause(ctx: any): void;
    exitSetClause(ctx: any): void;
    enterMatchedClause(ctx: any): void;
    exitMatchedClause(ctx: any): void;
    enterNotMatchedClause(ctx: any): void;
    exitNotMatchedClause(ctx: any): void;
    enterMatchedAction(ctx: any): void;
    exitMatchedAction(ctx: any): void;
    enterNotMatchedAction(ctx: any): void;
    exitNotMatchedAction(ctx: any): void;
    enterAssignmentList(ctx: any): void;
    exitAssignmentList(ctx: any): void;
    enterAssignment(ctx: any): void;
    exitAssignment(ctx: any): void;
    enterWhereClause(ctx: any): void;
    exitWhereClause(ctx: any): void;
    enterHavingClause(ctx: any): void;
    exitHavingClause(ctx: any): void;
    enterHint(ctx: any): void;
    exitHint(ctx: any): void;
    enterHintStatement(ctx: any): void;
    exitHintStatement(ctx: any): void;
    enterFromClause(ctx: any): void;
    exitFromClause(ctx: any): void;
    enterAggregationClause(ctx: any): void;
    exitAggregationClause(ctx: any): void;
    enterGroupingSet(ctx: any): void;
    exitGroupingSet(ctx: any): void;
    enterPivotClause(ctx: any): void;
    exitPivotClause(ctx: any): void;
    enterPivotColumn(ctx: any): void;
    exitPivotColumn(ctx: any): void;
    enterPivotValue(ctx: any): void;
    exitPivotValue(ctx: any): void;
    enterLateralView(ctx: any): void;
    exitLateralView(ctx: any): void;
    enterSetQuantifier(ctx: any): void;
    exitSetQuantifier(ctx: any): void;
    enterRelation(ctx: any): void;
    exitRelation(ctx: any): void;
    enterJoinRelation(ctx: any): void;
    exitJoinRelation(ctx: any): void;
    enterJoinType(ctx: any): void;
    exitJoinType(ctx: any): void;
    enterJoinCriteria(ctx: any): void;
    exitJoinCriteria(ctx: any): void;
    enterSample(ctx: any): void;
    exitSample(ctx: any): void;
    enterSampleByPercentile(ctx: any): void;
    exitSampleByPercentile(ctx: any): void;
    enterSampleByRows(ctx: any): void;
    exitSampleByRows(ctx: any): void;
    enterSampleByBucket(ctx: any): void;
    exitSampleByBucket(ctx: any): void;
    enterSampleByBytes(ctx: any): void;
    exitSampleByBytes(ctx: any): void;
    enterIdentifierList(ctx: any): void;
    exitIdentifierList(ctx: any): void;
    enterIdentifierSeq(ctx: any): void;
    exitIdentifierSeq(ctx: any): void;
    enterOrderedIdentifierList(ctx: any): void;
    exitOrderedIdentifierList(ctx: any): void;
    enterOrderedIdentifier(ctx: any): void;
    exitOrderedIdentifier(ctx: any): void;
    enterIdentifierCommentList(ctx: any): void;
    exitIdentifierCommentList(ctx: any): void;
    enterIdentifierComment(ctx: any): void;
    exitIdentifierComment(ctx: any): void;
    enterTableName(ctx: any): void;
    exitTableName(ctx: any): void;
    enterAliasedQuery(ctx: any): void;
    exitAliasedQuery(ctx: any): void;
    enterAliasedRelation(ctx: any): void;
    exitAliasedRelation(ctx: any): void;
    enterInlineTableDefault2(ctx: any): void;
    exitInlineTableDefault2(ctx: any): void;
    enterTableValuedFunction(ctx: any): void;
    exitTableValuedFunction(ctx: any): void;
    enterInlineTable(ctx: any): void;
    exitInlineTable(ctx: any): void;
    enterFunctionTable(ctx: any): void;
    exitFunctionTable(ctx: any): void;
    enterTableAlias(ctx: any): void;
    exitTableAlias(ctx: any): void;
    enterRowFormatSerde(ctx: any): void;
    exitRowFormatSerde(ctx: any): void;
    enterRowFormatDelimited(ctx: any): void;
    exitRowFormatDelimited(ctx: any): void;
    enterMultipartIdentifierList(ctx: any): void;
    exitMultipartIdentifierList(ctx: any): void;
    enterMultipartIdentifier(ctx: any): void;
    exitMultipartIdentifier(ctx: any): void;
    enterTableIdentifier(ctx: any): void;
    exitTableIdentifier(ctx: any): void;
    enterNamedExpression(ctx: any): void;
    exitNamedExpression(ctx: any): void;
    enterNamedExpressionSeq(ctx: any): void;
    exitNamedExpressionSeq(ctx: any): void;
    enterTransformList(ctx: any): void;
    exitTransformList(ctx: any): void;
    enterIdentityTransform(ctx: any): void;
    exitIdentityTransform(ctx: any): void;
    enterApplyTransform(ctx: any): void;
    exitApplyTransform(ctx: any): void;
    enterTransformArgument(ctx: any): void;
    exitTransformArgument(ctx: any): void;
    enterExpression(ctx: any): void;
    exitExpression(ctx: any): void;
    enterLogicalNot(ctx: any): void;
    exitLogicalNot(ctx: any): void;
    enterPredicated(ctx: any): void;
    exitPredicated(ctx: any): void;
    enterExists(ctx: any): void;
    exitExists(ctx: any): void;
    enterLogicalBinary(ctx: any): void;
    exitLogicalBinary(ctx: any): void;
    enterPredicate(ctx: any): void;
    exitPredicate(ctx: any): void;
    enterValueExpressionDefault(ctx: any): void;
    exitValueExpressionDefault(ctx: any): void;
    enterComparison(ctx: any): void;
    exitComparison(ctx: any): void;
    enterArithmeticBinary(ctx: any): void;
    exitArithmeticBinary(ctx: any): void;
    enterArithmeticUnary(ctx: any): void;
    exitArithmeticUnary(ctx: any): void;
    enterStruct(ctx: any): void;
    exitStruct(ctx: any): void;
    enterDereference(ctx: any): void;
    exitDereference(ctx: any): void;
    enterSimpleCase(ctx: any): void;
    exitSimpleCase(ctx: any): void;
    enterColumnReference(ctx: any): void;
    exitColumnReference(ctx: any): void;
    enterRowConstructor(ctx: any): void;
    exitRowConstructor(ctx: any): void;
    enterLast(ctx: any): void;
    exitLast(ctx: any): void;
    enterStar(ctx: any): void;
    exitStar(ctx: any): void;
    enterOverlay(ctx: any): void;
    exitOverlay(ctx: any): void;
    enterSubscript(ctx: any): void;
    exitSubscript(ctx: any): void;
    enterSubqueryExpression(ctx: any): void;
    exitSubqueryExpression(ctx: any): void;
    enterSubstring(ctx: any): void;
    exitSubstring(ctx: any): void;
    enterCurrentDatetime(ctx: any): void;
    exitCurrentDatetime(ctx: any): void;
    enterCast(ctx: any): void;
    exitCast(ctx: any): void;
    enterConstantDefault(ctx: any): void;
    exitConstantDefault(ctx: any): void;
    enterLambda(ctx: any): void;
    exitLambda(ctx: any): void;
    enterParenthesizedExpression(ctx: any): void;
    exitParenthesizedExpression(ctx: any): void;
    enterExtract(ctx: any): void;
    exitExtract(ctx: any): void;
    enterTrim(ctx: any): void;
    exitTrim(ctx: any): void;
    enterFunctionCall(ctx: any): void;
    exitFunctionCall(ctx: any): void;
    enterSearchedCase(ctx: any): void;
    exitSearchedCase(ctx: any): void;
    enterPosition(ctx: any): void;
    exitPosition(ctx: any): void;
    enterFirst(ctx: any): void;
    exitFirst(ctx: any): void;
    enterNullLiteral(ctx: any): void;
    exitNullLiteral(ctx: any): void;
    enterIntervalLiteral(ctx: any): void;
    exitIntervalLiteral(ctx: any): void;
    enterTypeConstructor(ctx: any): void;
    exitTypeConstructor(ctx: any): void;
    enterNumericLiteral(ctx: any): void;
    exitNumericLiteral(ctx: any): void;
    enterBooleanLiteral(ctx: any): void;
    exitBooleanLiteral(ctx: any): void;
    enterStringLiteral(ctx: any): void;
    exitStringLiteral(ctx: any): void;
    enterComparisonOperator(ctx: any): void;
    exitComparisonOperator(ctx: any): void;
    enterArithmeticOperator(ctx: any): void;
    exitArithmeticOperator(ctx: any): void;
    enterPredicateOperator(ctx: any): void;
    exitPredicateOperator(ctx: any): void;
    enterBooleanValue(ctx: any): void;
    exitBooleanValue(ctx: any): void;
    enterInterval(ctx: any): void;
    exitInterval(ctx: any): void;
    enterErrorCapturingMultiUnitsInterval(ctx: any): void;
    exitErrorCapturingMultiUnitsInterval(ctx: any): void;
    enterMultiUnitsInterval(ctx: any): void;
    exitMultiUnitsInterval(ctx: any): void;
    enterErrorCapturingUnitToUnitInterval(ctx: any): void;
    exitErrorCapturingUnitToUnitInterval(ctx: any): void;
    enterUnitToUnitInterval(ctx: any): void;
    exitUnitToUnitInterval(ctx: any): void;
    enterIntervalValue(ctx: any): void;
    exitIntervalValue(ctx: any): void;
    enterColPosition(ctx: any): void;
    exitColPosition(ctx: any): void;
    enterComplexDataType(ctx: any): void;
    exitComplexDataType(ctx: any): void;
    enterPrimitiveDataType(ctx: any): void;
    exitPrimitiveDataType(ctx: any): void;
    enterQualifiedColTypeWithPositionList(ctx: any): void;
    exitQualifiedColTypeWithPositionList(ctx: any): void;
    enterQualifiedColTypeWithPosition(ctx: any): void;
    exitQualifiedColTypeWithPosition(ctx: any): void;
    enterColTypeList(ctx: any): void;
    exitColTypeList(ctx: any): void;
    enterColType(ctx: any): void;
    exitColType(ctx: any): void;
    enterComplexColTypeList(ctx: any): void;
    exitComplexColTypeList(ctx: any): void;
    enterComplexColType(ctx: any): void;
    exitComplexColType(ctx: any): void;
    enterWhenClause(ctx: any): void;
    exitWhenClause(ctx: any): void;
    enterWindowClause(ctx: any): void;
    exitWindowClause(ctx: any): void;
    enterNamedWindow(ctx: any): void;
    exitNamedWindow(ctx: any): void;
    enterWindowRef(ctx: any): void;
    exitWindowRef(ctx: any): void;
    enterWindowDef(ctx: any): void;
    exitWindowDef(ctx: any): void;
    enterWindowFrame(ctx: any): void;
    exitWindowFrame(ctx: any): void;
    enterFrameBound(ctx: any): void;
    exitFrameBound(ctx: any): void;
    enterQualifiedNameList(ctx: any): void;
    exitQualifiedNameList(ctx: any): void;
    enterFunctionName(ctx: any): void;
    exitFunctionName(ctx: any): void;
    enterQualifiedName(ctx: any): void;
    exitQualifiedName(ctx: any): void;
    enterErrorCapturingIdentifier(ctx: any): void;
    exitErrorCapturingIdentifier(ctx: any): void;
    enterErrorIdent(ctx: any): void;
    exitErrorIdent(ctx: any): void;
    enterRealIdent(ctx: any): void;
    exitRealIdent(ctx: any): void;
    enterIdentifier(ctx: any): void;
    exitIdentifier(ctx: any): void;
    enterUnquotedIdentifier(ctx: any): void;
    exitUnquotedIdentifier(ctx: any): void;
    enterQuotedIdentifierAlternative(ctx: any): void;
    exitQuotedIdentifierAlternative(ctx: any): void;
    enterQuotedIdentifier(ctx: any): void;
    exitQuotedIdentifier(ctx: any): void;
    enterExponentLiteral(ctx: any): void;
    exitExponentLiteral(ctx: any): void;
    enterDecimalLiteral(ctx: any): void;
    exitDecimalLiteral(ctx: any): void;
    enterLegacyDecimalLiteral(ctx: any): void;
    exitLegacyDecimalLiteral(ctx: any): void;
    enterIntegerLiteral(ctx: any): void;
    exitIntegerLiteral(ctx: any): void;
    enterBigIntLiteral(ctx: any): void;
    exitBigIntLiteral(ctx: any): void;
    enterSmallIntLiteral(ctx: any): void;
    exitSmallIntLiteral(ctx: any): void;
    enterTinyIntLiteral(ctx: any): void;
    exitTinyIntLiteral(ctx: any): void;
    enterDoubleLiteral(ctx: any): void;
    exitDoubleLiteral(ctx: any): void;
    enterFloatLiteral(ctx: any): void;
    exitFloatLiteral(ctx: any): void;
    enterBigDecimalLiteral(ctx: any): void;
    exitBigDecimalLiteral(ctx: any): void;
    enterAlterColumnAction(ctx: any): void;
    exitAlterColumnAction(ctx: any): void;
    enterAnsiNonReserved(ctx: any): void;
    exitAnsiNonReserved(ctx: any): void;
    enterStrictNonReserved(ctx: any): void;
    exitStrictNonReserved(ctx: any): void;
    enterNonReserved(ctx: any): void;
    exitNonReserved(ctx: any): void;
}
